---

- hosts: web_builders
  vars:
    website_username: web_builder
  roles:
  - role: builder
    builder_name: "{{ website_name }}"
    builder: "{{ website_builder | default('middleman') }}"
    builder_username: "{{ website_username }}"
    git_url: "{{ website_repo_url }}"
    git_version: master
    auto_deploy_hour: "*/6"
    # until it is stable enough to spam the team :-)
    cron_error_email: "{{ osas_builder_error_email }}"
  - role: msmtp
    smart_host: "{{ mail_forwarder }}"
    disable_freeipa: true

